%global fontname stix
Name:          stix-fonts
Version:       1.1.0
Release:       16
Summary:       Scientific and Technical Information Exchange font
License:       OFL-1.1
URL:           http://www.stixfonts.org/
Source0:       http://downloads.sourceforge.net/stixfonts/STIXv1.1.0.zip
Source1:       61-stix.conf
Source2:       61-stix-math.conf
BuildArch:     noarch
BuildRequires: fontpackages-devel
Requires:      fontpackages-filesystem
Obsoletes:     stix-fonts-doc < 1.1.0

%description
The mission of the Scientific and Technical Information Exchange (STIX) font
creation project is the preparation of a comprehensive set of fonts that serve
the scientific and engineering community in the process from manuscript
creation through final publication, both in electronic and print formats.

%package -n stix-math-fonts
Summary:   Scientific and engineering fonts, PUA glyphs
Requires:  %{name} = %{version}-%{release}
Obsoletes: stix-integrals-fonts < 1.1.0 stix-pua-fonts < 1.1.0
Obsoletes: stix-sizes-fonts < 1.1.0 stix-variants-fonts < 1.1.0

%description -n stix-math-fonts
This package includes one symbol font completing the four faces in the main
stix-font package. It replaces the heap of confusing fontlets in the first Stix
release.

%prep
%autosetup -c -p1

%build

%install
install -d -m 0755 %{buildroot}%{_fontdir}
install -p -m 0644 Fonts/STIX-Word/*.otf %{buildroot}%{_fontdir}
install -d -m 0755 %{buildroot}%{_fontconfig_templatedir} %{buildroot}%{_fontconfig_confdir}
install -p -m 0644 %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/61-stix.conf
install -p -m 0644 %{SOURCE2} %{buildroot}%{_fontconfig_templatedir}/61-stix-math.conf

for fconf in 61-stix.conf 61-stix-math.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf %{buildroot}%{_fontconfig_confdir}/$fconf
done

%_font_pkg -f 61-stix.conf STIX-*otf
%doc License/*.pdf *.pdf

%_font_pkg -n math -f 61-stix-math.conf STIXMath*otf

%changelog
* Wed May 25 2022 chendexi <chendexi@kylinos.cn> - 1.1.0-16
- Change the license to "OFL-1.1"

* Tue Nov 5 2019 Lijin Yang <yanglijin@huawei.com> - 1.1.0-15
- Package init
